; IEMSIDRV.CTL -- Maximus IEMSI-Driver Controlfile.
;
; -----------------------------------------------------------------------------
;
; Enter the BBS system name (Ex. Plankton's BBS)
;
BBS             National Scourge
;
; -----------------------------------------------------------------------------
;
; Enter the location of your system (Ex. Alingss, Sweden)
;
LOCATION        Alingss, Sweden
;
; -----------------------------------------------------------------------------
;
; Enter the name of the system operator (Ex. Joe SysOp)
;
SYSOP           Andras Arvidsson
;
; -----------------------------------------------------------------------------
;
; Do you want to use a logfile?
;
USELOGFILE      Yes
; USELOGFILE      No
;
; -----------------------------------------------------------------------------
;
; Enter the name of the log file you wish to use
;
LOGFILE         IEMSIDRV.LOG
;
; -----------------------------------------------------------------------------
;
; Enter the log mode type you wish to use
;
; (1) Normal log file name
; (2) Normal log name but insert task number if Maximus "-N" parameter is used.
; (3) Use log file name provided by Maximus "-L" parameter. If the "-L"
;     parameter is not included, operate as in mode (1).
;
; LOGMODE         1
; LOGMODE         2
LOGMODE         3
;
; -----------------------------------------------------------------------------
;
; Select the screen mode you wish to use
;
; (1) No screen output (Blank screen)
; (2) Snoop (Normal display output)
; (3) Display log information
;
; SCREENMODE      1
SCREENMODE      2
; SCREENMODE      3
;
; -----------------------------------------------------------------------------
;
; Enter the name of The Maximus .Exe file (Ex. MAX.EXE)
;
MAXEXE          MAX.EXE
;
; -----------------------------------------------------------------------------
;
; Enter the name of Maximus user data file (Ex. USER.BBS)
;
USERBBS         USER.BBS
;
; -----------------------------------------------------------------------------
;
; Enter the name of Maximus bad user data file (Ex. BADUSER.BBS)
;
BADUSER         BADUSER.BBS
;
; -----------------------------------------------------------------------------
;
; Enter the name of a plain ascii file (Ex. LOGO.TXT)
;
; This file is displayed to the user before he/she is asked for their name.
;
LOGO            LOGO.TXT
;
; -----------------------------------------------------------------------------
;
; Enter the name of the batch file that starts Maximus (Ex. GoMaxGo.bat)
;
; Note! This batch file is created by IEMSI-Driver and will erase any existing
;       file with this name!
;
; Note! If you are using the -N (task number) commandline line switch, the
;       driver will add a 2 digit hexadecimal task number to file!!!
;
GOMAXGO         GOMAXGO.BAT
;
; -----------------------------------------------------------------------------
;
; Maximus user key definition:
;
; IEMSI-Driver will make use of 5 Maximus user keys. And they are assigned as:
;
; * Set if user uses IEMSI
; * Set if user wants to see the news bulletin
; * Set if user wants to check for new mail
; * Set if user wants to check for new files
; * Set if user is capable of IEMSI full screen chat
;
; Valid user keys are: 1 - 8, A - X
;
; Note! These keys will be cleared if a non-IEMSI user logs in
;
KEY_IEMSI       E
;
KEY_BULLETIN    F
;
KEY_MAIL        G
;
KEY_FILECHECK   H
;
KEY_CHAT        I
;
; -----------------------------------------------------------------------------
;
; FileArea
;
; This command sets the filearea a *new* IEMSI-User should be placed in.
;
FILEAREA 1
;
;
; -----------------------------------------------------------------------------
;
; MsgArea
;
; This command sets the messagearea a *new* IEMSI-User should be placed in.
;
MSGAREA 1
;
;
; -----------------------------------------------------------------------------
;
; IEMSI new-user priv
;
; Select the priv level a *new* user logging in with IEMSI should recieve.
; Note! The user level of a non-IEMSI new user is defined in MAX.CTL
;
; IEMSINEW        Twit
IEMSINEW        Disgrace
; IEMSINEW        Limited
; IEMSINEW        Normal
; IEMSINEW        Worthy
; IEMSINEW        Privel
; IEMSINEW        Favored
; IEMSINEW        Extra
; IEMSINEW        Clerk
; IEMSINEW        AsstSysOp
; IEMSINEW        SysOp
; IEMSINEW        Hidden
;
; -----------------------------------------------------------------------------
;
; The IEMSI user can change a whole bunch of items in your USER.BBS file,
; but sometimes it is necessary to restrict this. For example if you use
; a call back verifier to make sure the users phone number is correct,
; then you would like it if the user can change his phone number to
; something else the next time he calls.
;
; PLEASE NOTE! The following Priv settings are ignored for new users!!
;
; Alias_Priv selects the lowest acceptable priv level the user must have to
; be able to change his/her Alias.
;
; ALIAS_PRIV      Twit
; ALIAS_PRIV      Disgrace
; ALIAS_PRIV      Limited
ALIAS_PRIV      Normal
; ALIAS_PRIV      Worthy
; ALIAS_PRIV      Privel
; ALIAS_PRIV      Favored
; ALIAS_PRIV      Extra
; ALIAS_PRIV      Clerk
; ALIAS_PRIV      AsstSysOp
; ALIAS_PRIV      SysOp
; ALIAS_PRIV      Hidden
;
; location_priv selects the lowest acceptable priv level the user must have to
; be able to change his/her Location.
;
; LOCATION_PRIV   Twit
; LOCATION_PRIV   Disgrace
; LOCATION_PRIV   Limited
LOCATION_PRIV   Normal
; LOCATION_PRIV   Worthy
; LOCATION_PRIV   Privel
; LOCATION_PRIV   Favored
; LOCATION_PRIV   Extra
; LOCATION_PRIV   Clerk
; LOCATION_PRIV   AsstSysOp
; LOCATION_PRIV   SysOp
; LOCATION_PRIV   Hidden
;
; PHONE_PRIV selects the lowest acceptable priv level the user must have to
; be able to change his/her Phone number.
;
; PHONE_PRIV      Twit
; PHONE_PRIV      Disgrace
; PHONE_PRIV      Limited
PHONE_PRIV      Normal
; PHONE_PRIV      Worthy
; PHONE_PRIV      Privel
; PHONE_PRIV      Favored
; PHONE_PRIV      Extra
; PHONE_PRIV      Clerk
; PHONE_PRIV      AsstSysOp
; PHONE_PRIV      SysOp
; PHONE_PRIV      Hidden
;
; -----------------------------------------------------------------------------
;
; Security
;
; If you enable the secure option an IEMSI-User must have his/her correct
; password included in the IEMSI-packet to be able to change any of his/her
; settings in the USER.BBS file.
;
; Advantages:
;
; No one else will be able to "tamper" with another users setttings unless
; he/she knows the other users password.
;
; Disadvantages:
;
; 90 percent of the occasions the password is missing or is incorrect in the
; IEMSI-packet it is actually the rightfull owner of the user account that is
; calling. And if you had enabled this option this kind of user will not
; be able to change his own settings.
;
CHECK_PWD Yes
; CHECK_PWD No
;
; -----------------------------------------------------------------------------
;
; Maximus "-j" switch handling
;
; Since IEMSI-Driver uses Maximus "-j" command switch to transfer the username
; to Maximus, you can select the way this is done
;
; Mode (1) : Insert a ";Y;" at the end of the username. This will cause Maximus
;            to login the user directly.
;
; Mode (2) : Transfer the name as it is (don't insert a ";Y;"). This will
;            cause Maximus to ask if the name is correct.
;
JSWITCHMODE     1
; JSWITCHMODE     2
;
; -----------------------------------------------------------------------------
;
; "Yes" character
;
; In some non-English speaking countries you may wish to specify a
; different first character for "Yes" when using Maximus "-j" command switch.
;
; For example:
; In France where you have "O" for "Oui" instead of "Y" for "Yes".
;
; But this all depends on the primary language defined in Maximus.
;
; Enter the first character of "Yes" in your primary language file:
;
YESCHAR         Y
;
; -----------------------------------------------------------------------------
;
; Non-IEMSI users
;
; Now you should select the way the IEMSI-Driver will react upon a non-IEMSI
; user.
;
; Mode (1) : Ask the name of a non-IEMSI user while negotiating IEMSI.
;
; Mode (2) : Ask the user to press escape twice and then let Maximus ask the
;            name.
;
LOGINMODE       1
; LOGINMODE       2
;
; -----------------------------------------------------------------------------
;
; Character Set
;
; Select the Charset you wish to use
;
; (1) Standard 7-Bit
; (2) Swedish 7-bit Charset
; (3) 8-Bit PC-Charset (Using current codepage)
;
; Note! This is only used in conjunction with "LOGINMODE 1".
;
; CHARSET         1
; CHARSET         2
CHARSET         3
;
; -----------------------------------------------------------------------------
;
; Alias System
;
; Allow users to enter a single word name
;
; Note! This is only used in conjunction with "LOGINMODE 1".
;
ALIAS           Yes
; ALIAS           No
;
; -----------------------------------------------------------------------------
;
; Ask name prompt
;
; Enter the string to send when IEMSI-Driver asks the users name
; (Ex. What is your name).
;
; Note! This is only used in conjunction with "LOGINMODE 1".
;
ASKNAME         What is your name
;
; -----------------------------------------------------------------------------
;
; Bad name
;
; Enter the string to send if the user enters a incorrect name
; (Ex. You must enter both first and last name).
;
; Note! This is only used in conjunction with "LOGINMODE 1".
;
BADNAME         Invalid name, please re-enter your name!
;
; -----------------------------------------------------------------------------
;
; Escape string
;
; Enter the string to send when user is asked to press escape twice
; (Ex. Press ESCAPE twice for login).
;
; Note! This is only used in conjunction with "LOGINMODE 2".
;
ESCAPESTR       Press <Escape> twice for login.
;
; -----------------------------------------------------------------------------
;
; Slow System
;
; For those SysOp's who have a slow computer and nervous users. :-)
; You can make IEMSI-Driver display a "Please wait" text while
; loading Maximus.
;
; WAITTEXT        Yes
WAITTEXT        No
;
; -----------------------------------------------------------------------------
;
; <EOF>
